#pragma once

#include "UCButton.h"


class UILIB_API CUCArrowButton : public CUCButton
{
public:
	CUCArrowButton(void);
	~CUCArrowButton(void);

	int SetArrowNormalImage(LPCTSTR lpszImage);
	int SetArrowPushedImage(LPCTSTR lpszImage);

private:
	LPCTSTR GetClass() const;
	void SetAttribute(LPCTSTR pstrName, LPCTSTR pstrValue);
	int GetArrowRect(RECT &rc);
	void DrawText(HDC hDC,const RECT& rcPaint);
	void DoEvent(TEventUI& event);
	void DoPaint(HDC hDC, const RECT& rcPaint);


private:
		CDuiString	m_sArrowNormalImage;
		CDuiString	m_sArrowPushedImage;
};
